Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Service_Repository_Iterator Class Reference

Iterate through the <ACE_Service_Repository>. More...

`#include <Service_Repository.h>`

Collaboration diagram for ACE_Service_Repository_Iterator:

[legend]
List of all members.

## Public Methods
| ACE_Service_Repository_Iterator (ACE_Service_Repository &sr, int ignored_suspended=1)
| Constructor initializes the iterator. More...
| ~ACE_Service_Repository_Iterator (void)
| Destructor. More...
int | next (const ACE_Service_Type *&next_item)
| Pass back the <next_item> that hasn't been seen in the repository. Returns 0 when all items have been seen, else 1. More...
int | done (void) const
| Returns 1 when all items have been seen, else 0. More...
int | advance (void)
| Move forward by one element in the repository. Returns 0 when all the items in the set have been seen, else 1. More...
void | dump (void) const
| Dump the state of an object. More...
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks. More...
## Private Attributes
ACE_Service_Repository & | svc_rep_
| Reference to the Service Repository we are iterating over. More...
int | next_
| Next index location that we haven't yet seen. More...
int | ignore_suspended_
| Are we ignoring suspended services? More...

## Detailed Description

Iterate through the <ACE_Service_Repository>.

Make sure not to delete entries as the iteration is going on since this class is not designed as a robust iterator.

## Constructor & Destructor Documentation

ACE_Service_Repository_Iterator::ACE_Service_Repository_Iterator | ( | ACE_Service_Repository & | sr,
|  | int | ignr_suspended = 1
| ) |

| Constructor initializes the iterator.

ACE_INLINE ACE_Service_Repository_Iterator::~ACE_Service_Repository_Iterator | ( | void |  | ) |

| Destructor.

## Member Function Documentation

int ACE_Service_Repository_Iterator::advance | ( | void |  | ) |

| Move forward by one element in the repository. Returns 0 when all the items in the set have been seen, else 1.

int ACE_Service_Repository_Iterator::done | ( | void |  | ) | const

| Returns 1 when all items have been seen, else 0.

void ACE_Service_Repository_Iterator::dump | ( | void |  | ) | const

| Dump the state of an object.

int ACE_Service_Repository_Iterator::next | ( | const ACE_Service_Type *& | sr | ) |

| Pass back the <next_item> that hasn't been seen in the repository. Returns 0 when all items have been seen, else 1.

## Member Data Documentation

ACE_Service_Repository_Iterator::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks.

int ACE_Service_Repository_Iterator::ignore_suspended_`[private]`

| Are we ignoring suspended services?

int ACE_Service_Repository_Iterator::next_`[private]`

| Next index location that we haven't yet seen.

ACE_Service_Repository& ACE_Service_Repository_Iterator::svc_rep_`[private]`

| Reference to the Service Repository we are iterating over.

The documentation for this class was generated from the following files:

- Service_Repository.h
- Service_Repository.cpp
- Service_Repository.i